## org.eclipse.emf.ecore.util
Class ECrossReferenceEList.FeatureIteratorImpl<E>

    java.lang.Object
      org.eclipse.emf.ecore.util.EContentsEList.FeatureIteratorImpl<E>
          org.eclipse.emf.ecore.util.ECrossReferenceEList.FeatureIteratorImpl<E>

All Implemented Interfaces:
  java.util.Iterator<E>, java.util.ListIterator<E>, EContentsEList.FeatureIterator<E>, EContentsEList.FeatureListIterator<E>

Direct Known Subclasses:
  ECrossReferenceEList.ResolvingFeatureIteratorImpl

Enclosing class:
  ECrossReferenceEList<E>

    public static class ECrossReferenceEList.FeatureIteratorImpl<E>

extends EContentsEList.FeatureIteratorImpl<E>

Field Summary
`protected static EStructuralFeature[]` `NO_FEATURES`

Fields inherited from class org.eclipse.emf.ecore.util.EContentsEList.FeatureIteratorImpl
`cursor, EMPTY_ITERATOR, eObject, eStructuralFeatures, feature, featureCursor, isHandlingFeatureMap, prepared, preparedFeature, preparedResult, valueInternalEList, valueList, valueListIndex, valueListSize, values`

Constructor Summary
`ECrossReferenceEList.FeatureIteratorImpl(EObject eObject)`
`ECrossReferenceEList.FeatureIteratorImpl(EObject eObject, EStructuralFeature[] eStructuralFeatures)`

Method Summary
`protected boolean` `isIncludedEntry(EStructuralFeature eStructuralFeature)`

Methods inherited from class org.eclipse.emf.ecore.util.EContentsEList.FeatureIteratorImpl
`add, emptyIterator, feature, hasNext, hasPrevious, isIncluded, next, nextIndex, previous, previousIndex, remove, resolve, scanNext, scanNext, scanPrevious, scanPrevious, set, useIsSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_FEATURES

    protected static final EStructuralFeature[] NO_FEATURES

Constructor Detail

### ECrossReferenceEList.FeatureIteratorImpl

    public ECrossReferenceEList.FeatureIteratorImpl(EObject eObject)

### ECrossReferenceEList.FeatureIteratorImpl

    public ECrossReferenceEList.FeatureIteratorImpl(EObject eObject,
                                                    EStructuralFeature[] eStructuralFeatures)

Method Detail

### isIncludedEntry

    protected boolean isIncludedEntry(EStructuralFeature eStructuralFeature)

  Overrides:
    `isIncludedEntry` in class `EContentsEList.FeatureIteratorImpl<E>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.